com.h3c.of.sw

## Enum CmdPortStatus.State

- java.lang.Object
- - java.lang.Enum<CmdPortStatus.State>
  - - com.h3c.of.sw.CmdPortStatus.State

- All Implemented Interfaces:
    Serializable, Comparable<CmdPortStatus.State>
  Enclosing class:
    CmdPortStatus

      public static enum CmdPortStatus.State
      extends Enum<CmdPortStatus.State>

  Designates change in port state.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOWN`
    `UP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CmdPortStatus.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CmdPortStatus.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UP

          public static final CmdPortStatus.State UP

    - #### DOWN

          public static final CmdPortStatus.State DOWN

  - ### Method Detail

    - #### values

          public static CmdPortStatus.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CmdPortStatus.State c : CmdPortStatus.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CmdPortStatus.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.